import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/spaces_management/all_spaces/model/space_model.dart';

class SpaceTreeEvent extends Equatable {
  const SpaceTreeEvent();

  @override
  List<Object> get props => [];
}

class InitialEvent extends SpaceTreeEvent {}

class SearchForSpace extends SpaceTreeEvent {
  final String searchQuery;

  const SearchForSpace(this.searchQuery);

  @override
  List<Object> get props => [searchQuery];
}

class OnCommunityExpanded extends SpaceTreeEvent {
  final String communityId;

  const OnCommunityExpanded(this.communityId);

  @override
  List<Object> get props => [communityId];
}

class OnCommunitySelected extends SpaceTreeEvent {
  final String communityId;
  final List<SpaceModel> children;

  const OnCommunitySelected(this.communityId, this.children);

  @override
  List<Object> get props => [communityId, children];
}

class OnSpaceExpanded extends SpaceTreeEvent {
  final String communityId;
  final String spaceId;

  const OnSpaceExpanded(this.communityId, this.spaceId);

  @override
  List<Object> get props => [communityId, spaceId];
}

class OnSpaceSelected extends SpaceTreeEvent {
  final String communityId;
  final String spaceId;
  final List<SpaceModel> children;

  const OnSpaceSelected(this.communityId, this.spaceId, this.children);

  @override
  List<Object> get props => [communityId, spaceId, children];
}

class SearchQueryEvent extends SpaceTreeEvent {
  final String searchQuery;

  const SearchQueryEvent(this.searchQuery);

  @override
  List<Object> get props => [searchQuery];
}
