import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/spaces_management/space_model/models/tag_model.dart';

abstract class AssignTagModelState extends Equatable {
  const AssignTagModelState();

  @override
  List<Object?> get props => [];
}

class AssignTagModelInitial extends AssignTagModelState {}

class AssignTagModelLoading extends AssignTagModelState {}

class AssignTagModelLoaded extends AssignTagModelState {
  final List<TagModel> tags;
  final bool isSaveEnabled;
  final String? errorMessage;

  const AssignTagModelLoaded({
    required this.tags,
    required this.isSaveEnabled,
    this.errorMessage,
  });

  @override
  List<Object?> get props => [tags, isSaveEnabled, errorMessage];
}

class AssignTagModelError extends AssignTagModelState {
  final String errorMessage;

  const AssignTagModelError(this.errorMessage);

  @override
  List<Object?> get props => [errorMessage];
}
