import 'package:syncrow_web/utils/constants/action_enum.dart';

class TagModelUpdate {
  final Action action;
  final String? uuid;
  final String? tag;
  final String? productUuid;

  TagModelUpdate({
    required this.action,
    this.uuid,
    this.tag,
    this.productUuid,
  });

  factory TagModelUpdate.fromJson(Map<String, dynamic> json) {
    return TagModelUpdate(
      action: json['action'],
      uuid: json['uuid'],
      tag: json['tag'],
      productUuid: json['productUuid'],
    );
  }

  // Method to convert an instance to JSON
  Map<String, dynamic> toJson() {
    return {
      'action': action.value,
      'uuid': uuid, // Nullable field
      'tag': tag,
      'productUuid': productUuid,
    };
  }
}
